Subject: Re: bug#16737: Timed out waiting for reply from selection owner

From: Vincent Bernat <[email-masked]>
Date: Wed, 28 Jan 2015 15:14:52 +0100

❦ 28 janvier 2015 11:16 +0100, Vincent Bernat <[email-masked]> :

>>> Larger values work too, but it takes more time to get the pasted
>>> result. If I put 100, it takes about 2 second to get the paste
>>> event. Maybe keeping 5000 would work too but I don't have the patience
>>> for Emacs to unstuck. The bug comes and goes and since I do everything
>>> in Emacs, I cannot keep it live for too long.
>>
>> I think that what you regard as "it works" is in fact "it fails
>> faster" : you still can't yank into emacs something that you copied from
>> some other X thing. Setting
>> (setq x-select-enable-primary nil
>>       x-select-enable-clipboard nil
>>       save-interprogram-paste-before-kill nil)
>> should give you the same speedup.
>
> Oh, but I can. In fact, pasting from clipboard now works just
> fine. Pasting from primary selection works one time out of two (the
> other time, I get "x-get-selection: Timed out waiting for reply from
> selection owner"). Most of the time, I am using the clipboard.
>
> x-select-enable-primary is t
> x-select-enable-clipboard is t
> save-interprogram-paste-before-kill is t

BTW, setting x-select-enable-primary to nil don't fix the bug
either. Neither does x-select-enable-clipboard. However, setting both of
them to nil also fixes the problem.
-- 
For a light heart lives long.
		-- Shakespeare, "Love's Labour's Lost"